# RadioLib: LoRaWANChannelSpan_t Struct Reference

LoRaWANChannelSpan_t Struct Reference

Structure to save information about LoRaWAN channels. To save space, adjacent channels are saved in "spans". More...

`#include <LoRaWAN.h>`

## Public Attributes

uint8_t | numChannels
| Total number of channels in the span.
float | freqStart
| Center frequency of the first channel in span.
float | freqStep
| Frequency step between adjacent channels.
uint8_t | drMin
| Minimum allowed datarate for all channels in this span.
uint8_t | drMax
| Maximum allowed datarate for all channels in this span (inclusive)
uint8_t | joinRequestDataRate
| Allowed data rates for a join request message.

## Detailed Description

Structure to save information about LoRaWAN channels. To save space, adjacent channels are saved in "spans".

The documentation for this struct was generated from the following file:

- src/protocols/LoRaWAN/LoRaWAN.h